##
##  perl-xml.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2024 OpenPKG Project <http://openpkg.org/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   versions of individual parts
%define       V_perl                    5.22
%define       V_html_parser             3.72
%define       V_html_simpleparse        0.12
%define       V_html_table              2.08
%define       V_html_tagreader          1.13
%define       V_html_tagset             3.24
%define       V_html_tree               5.04
%define       V_html_treebuilder_xpath  0.14
%define       V_html_treebuilder_select 0.111
%define       V_html_template           2.97
%define       V_html_template_extension 0.26
%define       V_html_email_obfuscate    1.00
%define       V_html_prototype          1.48
%define       V_html_prototype_useful   0.05
%define       V_html_selector_xpath     0.08
%define       V_html_element_extended   1.18
%define       V_html_tableextract       2.15
%define       V_html_tableparser        0.43
%define       V_css                     1.09
%define       V_css_tiny                1.19
%define       V_xml_dom                 1.46
%define       V_xml_dom_lite            0.16
%define       V_xml_dtdparser           2.01
%define       V_xml_easyobj             1.12
%define       V_xml_filter_buffertext   1.01
%define       V_xml_gdome               0.86
%define       V_xml_libxml              2.0210
%define       V_xml_libxml_common       0.13
%define       V_xml_libxml_iterator     1.04
%define       V_xml_libxml_perl         0.08
%define       V_xml_libxslt             2.002001
%define       V_xml_namespacesupport    1.12_9
%define       V_xml_nodefilter          0.01
%define       V_xml_parser              2.47
%define       V_xml_quote               1.02
%define       V_xml_regexp              0.04
%define       V_xml_rss                 1.63
%define       V_xml_sablotron           1.01
%define       V_xml_sax                 1.02
%define       V_xml_sax_base            1.04
%define       V_xml_sax_expat           0.51
%define       V_xml_sax_writer          0.57
%define       V_xml_simple              2.25
%define       V_xml_simpleobject_libxml 0.60
%define       V_xml_twig                3.52
%define       V_xml_writer              0.900
%define       V_xml_writer_string       0.1
%define       V_xml_xpath               1.13
%define       V_xml_xpath_simple        0.05
%define       V_xml_xpathengine         0.14
%define       V_xml_xsh2                2.1.7
%define       V_xml_xslt                0.50_5
%define       V_xml_xupdate_libxml      0.6.0
%define       V_xml_dumper              0.81
%define       V_xml_mini                1.38
%define       V_xml_smart               1.6.9
%define       V_xml_stream              1.24
%define       V_xml_dt                  0.69
%define       V_svg                     2.50
%define       V_xml_elemental           2.11
%define       V_xml_rss_parser          4.0
%define       V_xml_rai                 1.301
%define       V_xml_atom                0.37
%define       V_xml_atom_filter         0.07
%define       V_xml_atom_syndication    0.942
%define       V_xml_rss_fromatom        0.02

#   package information
Name:         perl-xml
Summary:      Perl Modules for use with XML
URL:          http://www.cpan.org/
Vendor:       Perl Community
Packager:     OpenPKG Project
Distribution: OpenPKG Community
Class:        BASE
Group:        Perl
License:      GPL/Artistic
Version:      %{V_perl}
Release:      20240311

#   package options
%option       with_libxml            no
%option       with_libxslt           no
%option       with_libgdome          no
%option       with_sablotron         no

#   package option dependencies
%if "%{with_libxslt}" == "yes"
%undefine     with_libxml
%define       with_libxml            yes
%endif
%if "%{with_libgdome}" == "yes"
%undefine     with_libxml
%define       with_libxml            yes
%endif

#   list of sources
Source0:      http://www.cpan.org/authors/id/T/TO/TODDR/XML-Parser-%{V_xml_parser}.tar.gz
Source1:      http://www.cpan.org/authors/id/T/TJ/TJMATHER/XML-RegExp-%{V_xml_regexp}.tar.gz
Source2:      http://www.cpan.org/authors/id/G/GR/GRANTM/XML-Simple-%{V_xml_simple}.tar.gz
Source3:      http://www.cpan.org/authors/id/P/PE/PERIGRIN/XML-NamespaceSupport-%{V_xml_namespacesupport}.tar.gz
Source4:      http://www.cpan.org/authors/id/G/GR/GRANTM/XML-SAX-%{V_xml_sax}.tar.gz
Source5:      http://www.cpan.org/authors/id/K/KH/KHAMPTON/XML-SAX-Base-%{V_xml_sax_base}.tar.gz
Source6:      http://www.cpan.org/authors/id/B/BJ/BJOERN/XML-SAX-Expat-%{V_xml_sax_expat}.tar.gz
Source7:      http://www.cpan.org/authors/id/K/KM/KMACLEOD/libxml-perl-%{V_xml_libxml_perl}.tar.gz
Source8:      http://www.cpan.org/authors/id/T/TJ/TJMATHER/XML-DOM-%{V_xml_dom}.tar.gz
Source9:      http://www.cpan.org/authors/id/J/JS/JSTOWE/XML-XSLT-%{V_xml_xslt}.tar.gz
Source10:     http://www.cpan.org/authors/id/M/MI/MIROD/XML-Twig-%{V_xml_twig}.tar.gz
Source11:     http://www.cpan.org/authors/id/M/MS/MSERGEANT/XML-XPath-%{V_xml_xpath}.tar.gz
Source12:     http://www.cpan.org/authors/id/W/WH/WHYTEWOLF/XML-XPath-Simple-%{V_xml_xpath_simple}.tar.gz
Source13:     http://www.cpan.org/authors/id/R/RH/RHANSON/XML-EasyOBJ-%{V_xml_easyobj}.tar.gz
Source14:     http://www.cpan.org/authors/id/S/SH/SHLOMIF/XML-RSS-%{V_xml_rss}.tar.gz
Source15:     http://www.cpan.org/authors/id/J/JE/JENDA/XML-DTDParser-%{V_xml_dtdparser}.tar.gz
Source16:     http://www.cpan.org/authors/id/G/GD/GDSL/XML-Quote-%{V_xml_quote}.tar.gz
Source17:     http://www.cpan.org/authors/id/J/JO/JOSEPHW/XML-Writer-%{V_xml_writer}.tar.gz
Source18:     http://www.cpan.org/authors/id/S/SO/SOLIVER/XML-Writer-String-%{V_xml_writer_string}.tar.gz
Source19:     http://www.cpan.org/authors/id/P/PH/PHISH/XML-NodeFilter-%{V_xml_nodefilter}.tar.gz
Source20:     http://www.cpan.org/authors/id/P/PE/PETDANCE/HTML-Tagset-%{V_html_tagset}.tar.gz
Source21:     http://www.cpan.org/authors/id/G/GA/GAAS/HTML-Parser-%{V_html_parser}.tar.gz
Source22:     http://www.cpan.org/authors/id/J/JF/JFEARN/HTML-Tree-%{V_html_tree}.tar.gz
Source23:     http://www.cpan.org/modules/by-module/HTML/HTML-Table-%{V_html_table}.tar.gz
Source24:     http://www.cpan.org/authors/id/G/GU/GUS/HTML-TagReader-%{V_html_tagreader}.tar.gz
Source25:     http://www.cpan.org/authors/id/K/KW/KWILLIAMS/HTML-SimpleParse-%{V_html_simpleparse}.tar.gz
Source26:     http://www.cpan.org/modules/by-module/XML/XML-LibXML-Common-%{V_xml_libxml_common}.tar.gz
Source27:     http://www.cpan.org/authors/id/S/SH/SHLOMIF/XML-LibXML-%{V_xml_libxml}.tar.gz
Source28:     http://www.cpan.org/authors/id/P/PH/PHISH/XML-LibXML-Iterator-%{V_xml_libxml_iterator}.tar.gz
Source29:     http://www.cpan.org/authors/id/P/PA/PAJAS/XML-XUpdate-LibXML-%{V_xml_xupdate_libxml}.tar.gz
Source30:     http://www.cpan.org/authors/id/S/SH/SHLOMIF/XML-LibXSLT-%{V_xml_libxslt}.tar.gz
Source31:     http://www.cpan.org/authors/id/P/PA/PAJAS/XML-XSH2-%{V_xml_xsh2}.tar.gz
Source32:     http://www.cpan.org/authors/id/T/TJ/TJMATHER/XML-GDOME-%{V_xml_gdome}.tar.gz
Source33:     http://www.cpan.org/authors/id/M/MI/MIKEWONG/XML-Dumper-%{V_xml_dumper}.tar.gz
Source34:     http://www.cpan.org/authors/id/P/PD/PDEEGAN/XML-Mini-%{V_xml_mini}.tar.gz
Source35:     http://www.cpan.org/authors/id/G/GM/GMPASSOS/XML-Smart-%{V_xml_smart}.tar.gz
Source36:     http://www.cpan.org/authors/id/I/IA/IAMCAL/CSS-%{V_css}.tar.gz
Source37:     http://www.cpan.org/authors/id/A/AD/ADAMK/CSS-Tiny-%{V_css_tiny}.tar.gz
Source38:     http://www.cpan.org/authors/id/S/SA/SAMTREGAR/HTML-Template-%{V_html_template}.tar.gz
Source39:     http://www.cpan.org/authors/id/E/EB/EBRUNI/HTML-Template-Extension-%{V_html_template_extension}.tar.gz
Source40:     http://www.cpan.org/authors/id/A/AD/ADAMK/HTML-Email-Obfuscate-%{V_html_email_obfuscate}.tar.gz
Source41:     http://www.cpan.org/authors/id/D/DA/DAPATRICK/XML-Stream-%{V_xml_stream}.tar.gz
Source42:     http://www.cpan.org/modules/by-module/XML/XML-DT-%{V_xml_dt}.tar.gz
Source43:     http://www.cpan.org/authors/id/R/RO/RONAN/SVG-%{V_svg}.tar.gz
Source44:     http://www.cpan.org/authors/id/E/ES/ESSKAR/HTML-Prototype-%{V_html_prototype}.tar.gz
Source45:     http://www.cpan.org/authors/id/M/MR/MRAMBERG/HTML-Prototype-Useful-%{V_html_prototype_useful}.tar.gz
Source46:     http://www.cpan.org/authors/id/R/RH/RHUNDT/XML-DOM-Lite-%{V_xml_dom_lite}.tar.gz
Source47:     http://www.cpan.org/authors/id/M/MI/MIROD/XML-XPathEngine-%{V_xml_xpathengine}.tar.gz
Source48:     http://www.cpan.org/authors/id/T/TI/TIMA/XML-Elemental-%{V_xml_elemental}.tar.gz
Source49:     http://www.cpan.org/authors/id/T/TI/TIMA/XML-RSS-Parser-%{V_xml_rss_parser}.tar.gz
Source50:     http://www.cpan.org/authors/id/T/TI/TIMA/XML-RAI-%{V_xml_rai}.tar.gz
Source51:     http://www.cpan.org/authors/id/M/MI/MIYAGAWA/XML-Atom-%{V_xml_atom}.tar.gz
Source52:     http://www.cpan.org/authors/id/M/MA/MARKPASC/XML-Atom-Filter-%{V_xml_atom_filter}.tar.gz
Source53:     http://www.cpan.org/authors/id/T/TI/TIMA/XML-Atom-Syndication-%{V_xml_atom_syndication}.tar.gz
Source54:     http://www.cpan.org/authors/id/M/MA/MARCUS/XML-RSS-FromAtom-%{V_xml_rss_fromatom}.tar.gz
Source55:     http://www.cpan.org/authors/id/D/DB/DBRIAN/XML-SimpleObject-LibXML-%{V_xml_simpleobject_libxml}.tar.gz
Source56:     http://www.cpan.org/authors/id/P/PA/PAVELH/XML-Sablotron-%{V_xml_sablotron}.tar.gz
Source57:     http://www.cpan.org/authors/id/M/MI/MIYAGAWA/HTML-Selector-XPath-%{V_html_selector_xpath}.tar.gz
Source58:     http://www.cpan.org/authors/id/M/MI/MIROD/HTML-TreeBuilder-XPath-%{V_html_treebuilder_xpath}.tar.gz
Source59:     http://www.cpan.org/authors/id/R/RK/RKRIMEN/HTML-TreeBuilder-Select-%{V_html_treebuilder_select}.tar.gz
Source60:     http://www.cpan.org/authors/id/M/MS/MSISK/HTML-Element-Extended-%{V_html_element_extended}.tar.gz
Source61:     http://www.cpan.org/authors/id/M/MS/MSISK/HTML-TableExtract-%{V_html_tableextract}.tar.gz
Source62:     http://www.cpan.org/authors/id/P/PE/PERIGRIN/XML-SAX-Writer-%{V_xml_sax_writer}.tar.gz
Source63:     http://www.cpan.org/authors/id/R/RB/RBERJON/XML-Filter-BufferText-%{V_xml_filter_buffertext}.tar.gz
Source64:     http://www.cpan.org/authors/id/D/DJ/DJERIUS/HTML-TableParser-%{V_html_tableparser}.tar.gz
Patch0:       perl-xml.patch

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20160101, perl >= %{V_perl}, perl-openpkg >= %{V_perl}-20040126
PreReq:       OpenPKG, openpkg >= 20160101, perl >= %{V_perl}
BuildPreReq:  perl-util >= %{V_perl}-20031202, perl-parse, perl-time
PreReq:       perl-util >= %{V_perl}-20031202, perl-parse, perl-time
BuildPreReq:  expat
PreReq:       expat
%if "%{with_libxml}" == "yes"
BuildPreReq:  libxml
PreReq:       libxml
%endif
%if "%{with_libxslt}" == "yes"
BuildPreReq:  libxslt
PreReq:       libxslt
%endif
%if "%{with_libgdome}" == "yes"
BuildPreReq:  libgdome
PreReq:       libgdome
%endif
%if "%{with_sablotron}" == "yes"
BuildPreReq:  sablotron
PreReq:       sablotron
%endif

%description
    Perl modules for use with XML:
    - XML::Parser (%{V_xml_parser})
    - XML::NodeFilter (%{V_xml_nodefilter})
%if "%{with_libxml}" == "yes"
    - libxml (%{V_xml_libxml_perl})
    - XML::LibXML::Common (%{V_xml_libxml_common})
    - XML::LibXML (%{V_xml_libxml})
    - XML::LibXML::Iterator (%{V_xml_libxml_iterator})
    - XML::XUpdate::LibXML (%{V_xml_xupdate_libxml})
    - XML::SimpleObject::LibXML (%{V_xml_simpleobject_libxml})
%endif
%if "%{with_libxslt}" == "yes"
    - XML::LibXSLT (%{V_xml_libxslt})
    - XML::XSH2 (%{V_xml_xsh2})
%endif
%if "%{with_libgdome}" == "yes"
    - XML::GDOME (%{V_xml_gdome})
%endif
    - XML::RegExp (%{V_xml_regexp})
    - XML::DOM (%{V_xml_dom})
    - XML::DOM::Lite (%{V_xml_dom_lite})
    - XML::Simple (%{V_xml_simple})
    - XML::NamespaceSupport (%{V_xml_namespacesupport})
%if "%{with_sablotron}" == "yes"
    - XML::Sablotron (%{V_xml_sablotron})
%endif
    - XML::SAX (%{V_xml_sax})
    - XML::SAX::Base (%{V_xml_sax_base})
    - XML::SAX::Expat (%{V_xml_sax_expat})
    - XML::SAX::Writer (%{V_xml_sax_writer})
    - XML::XSLT (%{V_xml_xslt})
    - XML::Twig (%{V_xml_twig})
    - XML::XPath (%{V_xml_xpath})
    - XML::XPath::Simple (%{V_xml_xpath_simple})
    - XML::XPathEngine (%{V_xml_xpathengine})
    - XML::EasyOBJ (%{V_xml_easyobj})
    - XML::RSS (%{V_xml_rss})
    - XML::DTDParser (%{V_xml_dtdparser})
    - XML::Quote (%{V_xml_quote})
    - XML::Writer (%{V_xml_writer})
    - XML::Writer::String (%{V_xml_writer_string})
    - XML::Dumper (%{V_xml_dumper})
    - XML::Mini (%{V_xml_mini})
    - XML::Smart (%{V_xml_smart})
    - XML::Stream (%{V_xml_stream})
    - XML::DT (%{V_xml_dt})
    - XML::Filter::BufferText (%{V_xml_filter_buffertext})
    - HTML::Tagset (%{V_html_tagset})
    - HTML::Parser (%{V_html_parser})
    - HTML::Tree (%{V_html_tree})
    - HTML::Table (%{V_html_table})
    - HTML::TagReader (%{V_html_tagreader})
    - HTML::SimpleParse (%{V_html_simpleparse})
    - HTML::Template (%{V_html_template})
    - HTML::Template::Extension (%{V_html_template_extension})
    - HTML::Email::Obfuscate (%{V_html_email_obfuscate})
    - HTML::Prototype (%{V_html_prototype})
    - HTML::Prototype::Useful (%{V_html_prototype_useful})
    - HTML::Selector::XPath (%{V_html_selector_xpath})
    - HTML::TreeBuilder::XPath (%{V_html_treebuilder_xpath})
    - HTML::TreeBuilder::Select (%{V_html_treebuilder_select})
    - HTML::Element::Extended (%{V_html_element_extended})
    - HTML::TableExtract (%{V_html_tableextract})
    - HTML::TableParser (%{V_html_tableparser})
    - CSS (%{V_css})
    - CSS::Tiny (%{V_css_tiny})
    - SVG (%{V_svg})

%track
    prog perl-xml:HTML-Parser = {
        version   = %{V_html_parser}
        url       = http://www.cpan.org/authors/id/G/GA/GAAS/
        regex     = HTML-Parser-(__VER__)\.tar\.gz
    }
    prog perl-xml:HTML-SimpleParse = {
        version   = %{V_html_simpleparse}
        url       = http://www.cpan.org/authors/id/K/KW/KWILLIAMS/
        regex     = HTML-SimpleParse-(__VER__)\.tar\.gz
    }
    prog perl-xml:HTML-Table = {
        version   = %{V_html_table}
        url       = http://www.cpan.org/modules/by-module/HTML/
        regex     = HTML-Table-(\d+\.\d+)\.tar\.gz
    }
    prog perl-xml:HTML-TagReader = {
        version   = %{V_html_tagreader}
        url       = http://www.cpan.org/authors/id/G/GU/GUS/
        regex     = HTML-TagReader-(__VER__)\.tar\.gz
    }
    prog perl-xml:HTML-Tagset = {
        version   = %{V_html_tagset}
        url       = http://www.cpan.org/authors/id/P/PE/PETDANCE/
        regex     = HTML-Tagset-(__VER__)\.tar\.gz
    }
    prog perl-xml:HTML-Tree = {
        version   = %{V_html_tree}
        url       = http://www.cpan.org/authors/id/J/JF/JFEARN/
        regex     = HTML-Tree-(__VER__)\.tar\.gz
    }
    prog perl-xml:HTML-Template = {
        version   = %{V_html_template}
        url       = http://www.cpan.org/authors/id/S/SA/SAMTREGAR/
        regex     = HTML-Template-(__VER__)\.tar\.gz
    }
    prog perl-xml:HTML-Template-Extension = {
        version   = %{V_html_template_extension}
        url       = http://www.cpan.org/authors/id/E/EB/EBRUNI/
        regex     = HTML-Template-Extension-(__VER__)\.tar\.gz
    }
    prog perl-xml:HTML-Email-Obfuscate = {
        version   = %{V_html_email_obfuscate}
        url       = http://www.cpan.org/authors/id/A/AD/ADAMK/
        regex     = HTML-Email-Obfuscate-(__VER__)\.tar\.gz
    }
    prog perl-xml:libxml-perl = {
        version   = %{V_xml_libxml_perl}
        url       = http://www.cpan.org/authors/id/K/KM/KMACLEOD/
        regex     = libxml-perl-(__VER__)\.tar\.gz
    }
    prog perl-xml:XML-DOM = {
        version   = %{V_xml_dom}
        url       = http://www.cpan.org/authors/id/T/TJ/TJMATHER/
        regex     = XML-DOM-(__VER__)\.tar\.gz
    }
    prog perl-xml:XML-DOM-Lite = {
        version   = %{V_xml_dom_lite}
        url       = http://www.cpan.org/authors/id/R/RH/RHUNDT/
        regex     = XML-DOM-Lite-(__VER__)\.tar\.gz
    }
    prog perl-xml:XML-DTDParser = {
        version   = %{V_xml_dtdparser}
        url       = http://www.cpan.org/authors/id/J/JE/JENDA/
        regex     = XML-DTDParser-(__VER__)\.tar\.gz
    }
    prog perl-xml:XML-EasyOBJ = {
        version   = %{V_xml_easyobj}
        url       = http://www.cpan.org/authors/id/R/RH/RHANSON/
        regex     = XML-EasyOBJ-(__VER__)\.tar\.gz
    }
    prog perl-xml:XML-GDOME = {
        version   = %{V_xml_gdome}
        url       = http://www.cpan.org/authors/id/T/TJ/TJMATHER/
        regex     = XML-GDOME-(__VER__)\.tar\.gz
    }
    prog perl-xml:XML-LibXML = {
        version   = %{V_xml_libxml}
        url       = http://www.cpan.org/authors/id/S/SH/SHLOMIF/
        regex     = XML-LibXML-(\d+\.\d+)\.tar\.gz
    }
    prog perl-xml:XML-LibXML-Common = {
        version   = %{V_xml_libxml_common}
        url       = http://www.cpan.org/modules/by-module/XML/
        regex     = XML-LibXML-Common-(__VER__)\.tar\.gz
    }
    prog perl-xml:XML-LibXML-Iterator = {
        version   = %{V_xml_libxml_iterator}
        url       = http://www.cpan.org/authors/id/P/PH/PHISH/
        regex     = XML-LibXML-Iterator-(__VER__)\.tar\.gz
    }
    prog perl-xml:XML-LibXSLT = {
        version   = %{V_xml_libxslt}
        url       = http://www.cpan.org/authors/id/S/SH/SHLOMIF/
        regex     = XML-LibXSLT-(__VER__)\.tar\.gz
    }
    prog perl-xml:XML-NamespaceSupport = {
        version   = %{V_xml_namespacesupport}
        url       = http://www.cpan.org/authors/id/P/PE/PERIGRIN/
        regex     = XML-NamespaceSupport-(__VER__)\.tar\.gz
    }
    prog perl-xml:XML-NodeFilter = {
        version   = %{V_xml_nodefilter}
        url       = http://www.cpan.org/authors/id/P/PH/PHISH/
        regex     = XML-NodeFilter-(__VER__)\.tar\.gz
    }
    prog perl-xml:XML-Parser = {
        version   = %{V_xml_parser}
        url       = http://www.cpan.org/authors/id/T/TO/TODDR/
        regex     = XML-Parser-(__VER__)\.tar\.gz
    }
    prog perl-xml:XML-Quote = {
        version   = %{V_xml_quote}
        url       = http://www.cpan.org/authors/id/G/GD/GDSL/
        regex     = XML-Quote-(__VER__)\.tar\.gz
    }
    prog perl-xml:XML-RegExp = {
        version   = %{V_xml_regexp}
        url       = http://www.cpan.org/authors/id/T/TJ/TJMATHER/
        regex     = XML-RegExp-(__VER__)\.tar\.gz
    }
    prog perl-xml:XML-RSS = {
        version   = %{V_xml_rss}
        url       = http://www.cpan.org/authors/id/S/SH/SHLOMIF/
        regex     = XML-RSS-(__VER__)\.tar\.gz
    }
    prog perl-xml:XML-Sablotron = {
        version   = %{V_xml_sablotron}
        url       = http://www.cpan.org/authors/id/P/PA/PAVELH/
        regex     = XML-Sablotron-(__VER__)\.tar\.gz
    }
    prog perl-xml:XML-SAX = {
        version   = %{V_xml_sax}
        url       = http://www.cpan.org/authors/id/G/GR/GRANTM/
        regex     = XML-SAX-(__VER__)\.tar\.gz
    }
    prog perl-xml:XML-SAX-Base = {
        version   = %{V_xml_sax_base}
        url       = http://www.cpan.org/authors/id/K/KH/KHAMPTON/
        regex     = XML-SAX-Base-(__VER__)\.tar\.gz
    }
    prog perl-xml:XML-SAX-Expat = {
        version   = %{V_xml_sax_expat}
        url       = http://www.cpan.org/authors/id/B/BJ/BJOERN/
        regex     = XML-SAX-Expat-(__VER__)\.tar\.gz
    }
    prog perl-xml:XML-SAX-Writer = {
        version   = %{V_xml_sax_writer}
        url       = http://www.cpan.org/authors/id/P/PE/PERIGRIN/
        regex     = XML-SAX-Writer-(__VER__)\.tar\.gz
    }
    prog perl-xml:XML-Simple = {
        version   = %{V_xml_simple}
        url       = http://www.cpan.org/authors/id/G/GR/GRANTM/
        regex     = XML-Simple-(__VER__)\.tar\.gz
    }
    prog perl-xml:XML-Twig = {
        version   = %{V_xml_twig}
        url       = http://www.cpan.org/authors/id/M/MI/MIROD/
        regex     = XML-Twig-(__VER__)\.tar\.gz
    }
    prog perl-xml:XML-Writer = {
        version   = %{V_xml_writer}
        url       = http://www.cpan.org/authors/id/J/JO/JOSEPHW/
        regex     = XML-Writer-(__VER__)\.tar\.gz
    }
    prog perl-xml:XML-Writer-String = {
        version   = %{V_xml_writer_string}
        url       = http://www.cpan.org/authors/id/S/SO/SOLIVER/
        regex     = XML-Writer-String-(__VER__)\.tar\.gz
    }
    prog perl-xml:XML-XPath = {
        version   = %{V_xml_xpath}
        url       = http://www.cpan.org/authors/id/M/MS/MSERGEANT/
        regex     = XML-XPath-(__VER__)\.tar\.gz
    }
    prog perl-xml:XML-XPath-Simple = {
        version   = %{V_xml_xpath_simple}
        url       = http://www.cpan.org/authors/id/W/WH/WHYTEWOLF/
        regex     = XML-XPath-Simple-(__VER__)\.tar\.gz
    }
    prog perl-xml:XML-XPathEngine = {
        version   = %{V_xml_xpathengine}
        url       = http://www.cpan.org/authors/id/M/MI/MIROD/
        regex     = XML-XPathEngine-(__VER__)\.tar\.gz
    }
    prog perl-xml:XML-XSH2 = {
        version   = %{V_xml_xsh2}
        url       = http://www.cpan.org/authors/id/P/PA/PAJAS/
        regex     = XML-XSH2-(__VER__)\.tar\.gz
    }
    prog perl-xml:XML-XSLT = {
        version   = %{V_xml_xslt}
        url       = http://www.cpan.org/authors/id/J/JS/JSTOWE/
        regex     = XML-XSLT-(__VER__)\.tar\.gz
    }
    prog perl-xml:XML-XUpdate-LibXML = {
        version   = %{V_xml_xupdate_libxml}
        url       = http://www.cpan.org/authors/id/P/PA/PAJAS/
        regex     = XML-XUpdate-LibXML-(__VER__)\.tar\.gz
    }
    prog perl-xml:XML-Dumper = {
        version   = %{V_xml_dumper}
        url       = http://www.cpan.org/authors/id/M/MI/MIKEWONG/
        regex     = XML-Dumper-(__VER__)\.tar\.gz
    }
    prog perl-xml:XML-Mini = {
        version   = %{V_xml_mini}
        url       = http://www.cpan.org/authors/id/P/PD/PDEEGAN/
        regex     = XML-Mini-(__VER__)\.tar\.gz
    }
    prog perl-xml:XML-Smart = {
        version   = %{V_xml_smart}
        url       = http://www.cpan.org/authors/id/G/GM/GMPASSOS/
        regex     = XML-Smart-(__VER__)\.tar\.gz
    }
    prog perl-xml:XML-Stream = {
        version   = %{V_xml_stream}
        url       = http://www.cpan.org/authors/id/D/DA/DAPATRICK/
        regex     = XML-Stream-(__VER__)\.tar\.gz
    }
    prog perl-xml:XML-DT = {
        version   = %{V_xml_dt}
        url       = http://www.cpan.org/modules/by-module/XML/
        regex     = XML-DT-(__VER__)\.tar\.gz
    }
    prog perl-xml:CSS = {
        version   = %{V_css}
        url       = http://www.cpan.org/authors/id/I/IA/IAMCAL/
        regex     = CSS-(__VER__)\.tar\.gz
    }
    prog perl-xml:CSS-Tiny = {
        version   = %{V_css_tiny}
        url       = http://www.cpan.org/authors/id/A/AD/ADAMK/
        regex     = CSS-Tiny-(__VER__)\.tar\.gz
    }
    prog perl-xml:SVG = {
        version   = %{V_svg}
        url       = http://www.cpan.org/authors/id/R/RO/RONAN/
        regex     = SVG-(__VER__)\.tar\.gz
    }
    prog perl-xml:HTML-Prototype = {
        version   = %{V_html_prototype}
        url       = http://www.cpan.org/authors/id/E/ES/ESSKAR/
        regex     = HTML-Prototype-(__VER__)\.tar\.gz
    }
    prog perl-xml:HTML-Prototype-Useful = {
        version   = %{V_html_prototype_useful}
        url       = http://www.cpan.org/authors/id/M/MR/MRAMBERG/
        regex     = HTML-Prototype-Useful-(__VER__)\.tar\.gz
    }
    prog perl-xml:XML-SimpleObject-LibXML = {
        version   = %{V_xml_simpleobject_libxml}
        url       = http://www.cpan.org/authors/id/D/DB/DBRIAN/
        regex     = XML-SimpleObject-LibXML-(__VER__)\.tar\.gz
    }
    prog perl-xml:HTML-Selector-XPath = {
        version   = %{V_html_selector_xpath}
        url       = http://www.cpan.org/authors/id/M/MI/MIYAGAWA/
        regex     = HTML-Selector-XPath-(__VER__)\.tar\.gz
    }
    prog perl-xml:HTML-TreeBuilder-XPath = {
        version   = %{V_html_treebuilder_xpath}
        url       = http://www.cpan.org/authors/id/M/MI/MIROD/
        regex     = HTML-TreeBuilder-XPath-(__VER__)\.tar\.gz
    }
    prog perl-xml:HTML-TreeBuilder-Select = {
        version   = %{V_html_treebuilder_select}
        url       = http://www.cpan.org/authors/id/R/RK/RKRIMEN/
        regex     = HTML-TreeBuilder-Select-(__VER__)\.tar\.gz
    }
    prog perl-xml:HTML-Element-Extended = {
        version   = %{V_html_element_extended}
        url       = http://www.cpan.org/authors/id/M/MS/MSISK/
        regex     = HTML-Element-Extended-(__VER__)\.tar\.gz
    }
    prog perl-xml:HTML-TableExtract = {
        version   = %{V_html_tableextract}
        url       = http://www.cpan.org/authors/id/M/MS/MSISK/
        regex     = HTML-TableExtract-(__VER__)\.tar\.gz
    }
    prog perl-xml:XML-Filter-BufferText = {
        version   = %{V_xml_filter_buffertext}
        url       = http://www.cpan.org/authors/id/R/RB/RBERJON/
        regex     = XML-Filter-BufferText-(__VER__)\.tar\.gz
    }
    prog perl-xml:HTML-TableParser = {
        version   = %{V_html_tableparser}
        url       = http://www.cpan.org/authors/id/D/DJ/DJERIUS/
        regex     = HTML-TableParser-(__VER__)\.tar\.gz
    }

%prep
    %setup -q -c
    %setup -q -T -D -a 1
    %setup -q -T -D -a 2
    %setup -q -T -D -a 3
    %setup -q -T -D -a 4
    %setup -q -T -D -a 5
    %setup -q -T -D -a 6
    %setup -q -T -D -a 7
    %setup -q -T -D -a 8
    %setup -q -T -D -a 9
    %setup -q -T -D -a 10
    %setup -q -T -D -a 11
    %setup -q -T -D -a 12
    %setup -q -T -D -a 13
    %setup -q -T -D -a 14
    %setup -q -T -D -a 15
    %setup -q -T -D -a 16
    %setup -q -T -D -a 17
    %setup -q -T -D -a 18
    %setup -q -T -D -a 19
    %setup -q -T -D -a 20
    %setup -q -T -D -a 21
    %setup -q -T -D -a 22
    ( # FIXME: upstream tarball in version 2.08 contains broken GID
    %setup -q -T -D -a 23
    ) || true
    %setup -q -T -D -a 24
    %setup -q -T -D -a 25
    %setup -q -T -D -a 26
    %setup -q -T -D -a 27
    %setup -q -T -D -a 28
    %setup -q -T -D -a 29
    %setup -q -T -D -a 30
    %setup -q -T -D -a 31
    %setup -q -T -D -a 32
    %setup -q -T -D -a 33
    %setup -q -T -D -a 34
    %setup -q -T -D -a 35
    %setup -q -T -D -a 36
    %setup -q -T -D -a 37
    %setup -q -T -D -a 38
    %setup -q -T -D -a 39
    %setup -q -T -D -a 40
    %setup -q -T -D -a 41
    %setup -q -T -D -a 42
    %setup -q -T -D -a 43
    %setup -q -T -D -a 44
    %setup -q -T -D -a 45
    %setup -q -T -D -a 46
    %setup -q -T -D -a 47
    %setup -q -T -D -a 48
    %setup -q -T -D -a 49
    %setup -q -T -D -a 50
    %setup -q -T -D -a 51
    %setup -q -T -D -a 52
    %setup -q -T -D -a 53
    %setup -q -T -D -a 54
    %setup -q -T -D -a 55
    %setup -q -T -D -a 56
    %setup -q -T -D -a 57
    %setup -q -T -D -a 58
    %setup -q -T -D -a 59
    %setup -q -T -D -a 60
    %setup -q -T -D -a 61
    %setup -q -T -D -a 62
    %setup -q -T -D -a 63
    %setup -q -T -D -a 64
    rm -f HTML-Prototype*/Build.PL
    chmod u+w HTML-Prototype-Useful-*/Makefile.PL*
    %patch -p0

%build

%install
    %{l_prefix}/bin/perl-openpkg prepare
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE0} \
          --args EXPATLIBPATH=%{l_prefix}/lib \
          --args EXPATINCPATH=%{l_prefix}/include \
          configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE1}  configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE2}  configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE3}  configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE4}  configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE5}  configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE6}  configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE7}  configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE8}  configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE9}  configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE10} configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE11} configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE12} configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE13} configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE14} configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE15} configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE16} configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE17} configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE18} configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE19} configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE20} configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE21} configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE22} configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE23} configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE24} configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE25} configure build install
%if "%{with_libxml}" == "yes"
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE26} --args XMLPREFIX=%{l_prefix} configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE27} --args XMLPREFIX=%{l_prefix} configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE28} configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE29} configure build install
%endif
%if "%{with_libxslt}" == "yes"
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE30} --args XMLPREFIX=%{l_prefix} configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE31} configure build install
%endif
%if "%{with_libgdome}" == "yes"
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE32} configure build install
%endif
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE33} configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE34} configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE35} configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE36} configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE37} configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE38} configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE39} configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE40} configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE41} configure build install
%if "%{with_libxml}" == "yes"
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE42} configure build install
%endif
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE43} configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE44} configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE45} configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE46} configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE47} configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE48} configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE49} configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE50} configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE51} configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE52} configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE53} configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE54} configure build install
%if "%{with_libxml}" == "yes"
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE55} configure build install
%endif
%if "%{with_sablotron}" == "yes"
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE56} \
          --args SABLOTLIBPATH=%{l_prefix}/lib \
          --args SABLOTINCPATH=%{l_prefix}/include \
          --args EXPATLIBPATH=%{l_prefix}/lib \
          --args EXPATINCPATH=%{l_prefix}/include \
          --args "LIBS='`%{l_prefix}/bin/sablot-config --libs` -lstdc++'" \
          configure build install
%endif
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE57} configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE58} configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE59} configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE60} configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE61} configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE62} configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE63} configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE64} configure build install

    #   pre-activate the XML::SAX parsers
    eval `%{l_prefix}/bin/perl -V:installvendorlib`
    ( echo "[XML::SAX::PurePerl]"
      echo "http://xml.org/sax/features/namespaces = 1"
      echo "http://xml.org/sax/features/validation = 0"
      echo ""
      echo "[XML::SAX::Expat]"
      echo "http://xml.org/sax/features/namespaces = 1"
      echo "http://xml.org/sax/features/validation = 0"
    ) >$RPM_BUILD_ROOT$installvendorlib/XML/SAX/ParserDetails.ini

    %{l_prefix}/bin/perl-openpkg -F perl-openpkg-files fixate cleanup
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std} `cat perl-openpkg-files`

%files -f files

%clean

